# This module install prometheus node_exporter
class node_exporter {
    file { 'node_exporter v1.0.1':
        ensure => 'directory',
        path => '/opt/node_exporter',
        source => 'puppet:///modules/node_exporter/node_exporter-1.0.1-amd64',
        recurse => true,
        source_permissions => 'use'
    }

    systemd::unit_file { 'node_exporter.service':
        source => 'puppet:///modules/node_exporter/node_exporter.service',
    }
    ~> service {'node_exporter':
        ensure => 'running',
        enable => true,
    }
}
